Package org.eclipse.emf.compare.provider

# Class TooltipLabelAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.compare.util.CompareAdapterFactory
org.eclipse.emf.compare.provider.TooltipLabelAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`, `ComposeableAdapterFactory`

public class TooltipLabelAdapterFactory extends CompareAdapterFactory implements ComposeableAdapterFactory
SuperClass of factories that need to access tooltips labels.

Since:
  4.2

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ComposedAdapterFactory`
`parentAdapterFactory`
The composed adapter factory.
`protected Collection<Object>`
`supportedTypes`
This keeps track of all the supported types checked by `isFactoryForType`.

### Fields inherited from class org.eclipse.emf.compare.util.CompareAdapterFactory

`copyright, modelPackage, modelSwitch`

## Constructor Summary

Constructors
Constructor
Description
`TooltipLabelAdapterFactory()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`Adapter`
`createAttributeChangeAdapter()`
Creates a new adapter for an object of class '`Attribute Change`'.
`Adapter`
`createFeatureMapChangeAdapter()`
Creates a new adapter for an object of class '`Feature Map Change`'.
`Adapter`
`createReferenceChangeAdapter()`
Creates a new adapter for an object of class '`Reference Change`'.
`Adapter`
`createResourceAttachmentChangeAdapter()`
Creates a new adapter for an object of class '`Resource Attachment Change`'.
`Adapter`
`createResourceLocationChangeAdapter()`
Creates a new adapter for an object of class '`Resource Location Change`'.
`ComposeableAdapterFactory`
`getRootAdapterFactory()`
This returns the root adapter factory that contains this factory.
`boolean`
`isFactoryForType(Object type)`
Returns whether this factory is applicable for the type of the object.
`void`
`setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)`
This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.emf.compare.util.CompareAdapterFactory

`createAdapter, createComparisonAdapter, createConflictAdapter, createDiffAdapter, createEObjectAdapter, createEquivalenceAdapter, createMatchAdapter, createMatchResourceAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adapt, adapt, adaptAllNew, adaptNew`

## Field Details

### parentAdapterFactory

protected ComposedAdapterFactory parentAdapterFactory
The composed adapter factory.

### supportedTypes

protected Collection<Object> supportedTypes
This keeps track of all the supported types checked by `isFactoryForType`.

## Constructor Details

### TooltipLabelAdapterFactory

public TooltipLabelAdapterFactory()
The constructor.

## Method Details

### createAttributeChangeAdapter

public Adapter createAttributeChangeAdapter()
Description copied from class: `CompareAdapterFactory`
Creates a new adapter for an object of class '`Attribute Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Overrides:
  `createAttributeChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `AttributeChange`

### createFeatureMapChangeAdapter

public Adapter createFeatureMapChangeAdapter()
Description copied from class: `CompareAdapterFactory`
Creates a new adapter for an object of class '`Feature Map Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Overrides:
  `createFeatureMapChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `FeatureMapChange`

### createReferenceChangeAdapter

public Adapter createReferenceChangeAdapter()
Description copied from class: `CompareAdapterFactory`
Creates a new adapter for an object of class '`Reference Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Overrides:
  `createReferenceChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ReferenceChange`

### createResourceAttachmentChangeAdapter

public Adapter createResourceAttachmentChangeAdapter()
Description copied from class: `CompareAdapterFactory`
Creates a new adapter for an object of class '`Resource Attachment Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Overrides:
  `createResourceAttachmentChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ResourceAttachmentChange`

### createResourceLocationChangeAdapter

public Adapter createResourceLocationChangeAdapter()
Description copied from class: `CompareAdapterFactory`
Creates a new adapter for an object of class '`Resource Location Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Overrides:
  `createResourceLocationChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ResourceLocationChange`

### getRootAdapterFactory

public ComposeableAdapterFactory getRootAdapterFactory()
This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
Returns:
  the composed adapter factory

### setParentAdapterFactory

public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
Parameters:
  `parentAdapterFactory` - The composed adapter factory

### isFactoryForType

public boolean isFactoryForType(Object type)
Description copied from class: `CompareAdapterFactory`
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `CompareAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.